Loading...
Searching...
No Matches
EventSI Class Reference
Inheritance diagram for EventSI:
[legend]
Collaboration diagram for EventSI:
[legend]

## Public Member Functions

void | init ()
float | amp ()
float | dur ()
float | rise_amp ()
float | rise_dur ()
float | fall_amp ()
float | fall_dur ()
float | start_f0 ()
float | start_pos ()
float | peak_f0 ()
float | peak_pos ()
float | end_f0 ()
float | end_pos ()
void | set_start_f0 (float a)
void | set_start_pos (float a)
void | set_peak_f0 (float a)
void | set_peak_pos (float a)
void | set_end_f0 (float a)
void | set_end_pos (float a)
Public Member Functions inherited from EventBase
int | save (EST_String filename, EST_String type="")

## Public Attributes

EventSI * | sn
EventSI * | sp
Public Attributes inherited from EventBase
EST_String | type

## Friends

ostream & | operator<< (ostream &s, EventSI &e)

## Detailed Description

Definition at line 98 of file EST_Event.h.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | EventSI & | e )

friend

Definition at line 135 of file EST_Event.h.

## Member Data Documentation

## sn

EventSI* EventSI::sn

Definition at line 132 of file EST_Event.h.

## sp

EventSI* EventSI::sp

Definition at line 133 of file EST_Event.h.

The documentation for this class was generated from the following file:

- include/EST_Event.h